> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Change file name

> Update the display name of an existing file.



## OpenAPI

````yaml put /v1/flow/files/{file_id}/rename
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/files/{file_id}/rename:
    put:
      tags:
        - Files
      summary: Change file name
      description: Update the display name of an existing file.
      operationId: rename_file_v1_flow_files__file_id__rename_put
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileRenameRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FileRenameRequest:
      properties:
        new_filename:
          type: string
          title: New Filename
      type: object
      required:
        - new_filename
      title: FileRenameRequest
    FileResponse:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: file
          title: Object
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        type:
          anyOf:
            - $ref: '#/components/schemas/TrainingFileType'
            - $ref: '#/components/schemas/AlignmentFileType'
            - type: 'null'
          title: Type
        purpose:
          anyOf:
            - $ref: '#/components/schemas/FilePurpose'
            - type: 'null'
        filename:
          anyOf:
            - type: string
            - type: 'null'
          title: Filename
        bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bytes
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
        original_file_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Original File Id
        deleted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Deleted
      additionalProperties: true
      type: object
      required:
        - id
        - object
      title: FileResponse
      description: Files API response type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrainingFileType:
      type: string
      enum:
        - jsonl
        - parquet
        - pt
      title: TrainingFileType
    AlignmentFileType:
      type: string
      enum:
        - html
        - md
        - rst
        - rtf
        - txt
        - xml
        - json
        - jsonl
        - csv
        - doc
        - docx
        - pdf
        - ppt
        - pptx
      title: AlignmentFileType
    FilePurpose:
      type: string
      enum:
        - reinforcement-fine-tune
        - fine-tune
        - preference-fine-tune
        - pre-train
        - alignment
      title: FilePurpose
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Seekr API Key without 'Bearer' Prefix
      in: header
      name: Authorization

````